СУБД для Netware

Обсуждение технических вопросов по продуктам Novell

Сообщение Рустам » 04 дек 2003, 12:51

Хороший совет
Спасибо

Только вот непонятно
Почему не Неварь 6.0?
И еще раз- увеличится ли производительность системы NW/Оракул при переходе на многопроцессорную платформу (т.е. в одном сервере несколько процессоров)?
Стоит ли совершить переход от Оракула на Sun SQL?
Рустам
 
Сообщения: 20
Зарегистрирован: 19 дек 2002, 19:41
Откуда: Челябинск

Сообщение Рустам » 04 дек 2003, 13:06

И вообще, Что это за Сан?
Извиняюсь за незнание - для того и пришёл, чтобы узнать
Рустам
 
Сообщения: 20
Зарегистрирован: 19 дек 2002, 19:41
Откуда: Челябинск

Сообщение alexp_mac » 04 дек 2003, 13:34

[quote="Рустам"]И вообще, Что это за Сан?
Извиняюсь за незнание - для того и пришёл, чтобы узнать[/quote]

Ну раз уж мы залезли в прошлое то оракл под нетварью поддерживался на 5.1, на 6.0 я такого не помню, и во-вторых 6.0 сама по себе тяжелая система ест больше аппаратных ресурсов, оно вам надо?


про саны.
www.sun.com

Оракл на сане это настоящий оракл, а на виндоусе это тоже конечно оракл но он вам будет досталять неимоверно больше проблем, это как * с презервативом или без: разница есть.

И про прошлое, ну про снятие поддержки с 8i писал, так вот, у оракла все тулзы используемые для разработки и эксплуатации базы данных тоже сертифицированны под определенную версию субд на сервере и операционки на рабочей станции, поэтому если ваша база разработана на одних тулзах, эксплуатируется на другой субд вы рискуете получить ПРОБЛЕМЫ, оно вам надо? Т.е. конечно с вероятностью в 99% все будет работать но если чего вылезет то никто вам не поможет.
Вот думайте.
alexp_mac
 
Сообщения: 788
Зарегистрирован: 28 июн 2002, 10:50

Сообщение Аркадий Глазырин » 04 дек 2003, 14:19

Алексей Подгорчук писал(а):Оракл на сане это настоящий оракл, а на виндоусе это тоже конечно оракл но он вам будет досталять неимоверно больше проблем, это как * с презервативом


Я бы сказал "* с рваным презервативом". Кайфа всё равно ноль, а вирусов уйма.
Аватара пользователя
Аркадий Глазырин
 
Сообщения: 2762
Зарегистрирован: 16 авг 2002, 09:09
Откуда: Екатеринбург

Сообщение Андрей Тр. aka RH » 04 дек 2003, 16:38

Удачное сравнение .. я бы даже сказал, как с презервативом - это ради процесса, а без - ради, собсно, результата.

ДА ПРОСТИТ НАС ВСЕХ АВТОР ЭТОЙ ВЕТКИ ! :wink:
Даешь отдельный раздел по ZENworks ... :bad-words: .. и печати !
Аватара пользователя
Андрей Тр. aka RH
 
Сообщения: 3937
Зарегистрирован: 18 июн 2002, 11:27

Сообщение Dimerson » 04 дек 2003, 16:43

Рустам писал(а):И вообще, Что это за Сан?
Извиняюсь за незнание - для того и пришёл, чтобы узнать


Рустам. Самый дельный совет. Без гнутья пальцев и прочего. Если вам всетаки не играться а работать причем продуктивно - то однозначно 9.2.0.4 на одной из оффициально поддерживаемых платформ. Exp/Imp
из 8 -> 9 и будет на вашей улице праздник. Лично я даже 8.1.7.4 не рискну советовать в продуктивное использование. Так как плотно повозившись с 8.1.7.4 на Linux - отказался - странно все живет на новых ядрах ... та же jre 1.1.8 от IBM .... да и ограничение на размер файла данных 2 GB .... хотя это не есть страшно. Да - вопрос прямой - у вас металинк надеюсь есть ? [рекомендуется].
Аватара пользователя
Dimerson
 
Сообщения: 2739
Зарегистрирован: 15 сен 2002, 14:39
Откуда: Регион 70

Сообщение Аркадий Глазырин » 04 дек 2003, 16:56

Алексей Подгорчук писал(а):
Рустам писал(а):И вообще, Что это за Сан?
Извиняюсь за незнание - для того и пришёл, чтобы узнать


Ну раз уж мы залезли в прошлое то оракл под нетварью поддерживался на 5.1, на 6.0 я такого не помню, и во-вторых 6.0 сама по себе тяжелая система ест больше аппаратных ресурсов, оно вам надо?


про саны.
www.sun.com

Оракл на сане это настоящий оракл


А Оракл на FreeBSD с эмулятором Linux это что тогда?
Аватара пользователя
Аркадий Глазырин
 
Сообщения: 2762
Зарегистрирован: 16 авг 2002, 09:09
Откуда: Екатеринбург

Сообщение alexp_mac » 04 дек 2003, 17:12

[quote="Arkadi, Goblins Chief"][quote="Алексей Подгорчук"][quote="Рустам"]И вообще, Что это за Сан?
Извиняюсь за незнание - для того и пришёл, чтобы узнать[/quote]

Ну раз уж мы залезли в прошлое то оракл под нетварью поддерживался на 5.1, на 6.0 я такого не помню, и во-вторых 6.0 сама по себе тяжелая система ест больше аппаратных ресурсов, оно вам надо?


про саны.
www.sun.com

Оракл на сане это настоящий оракл[/quote]

А Оракл на FreeBSD с эмулятором Linux это что тогда?[/quote]

...месье знает толк в извращениях :)
alexp_mac
 
Сообщения: 788
Зарегистрирован: 28 июн 2002, 10:50

Сообщение Dimerson » 04 дек 2003, 17:16

Arkadi, Goblins Chief писал(а):
Алексей Подгорчук писал(а):
Рустам писал(а):И вообще, Что это за Сан?
Извиняюсь за незнание - для того и пришёл, чтобы узнать


Ну раз уж мы залезли в прошлое то оракл под нетварью поддерживался на 5.1, на 6.0 я такого не помню, и во-вторых 6.0 сама по себе тяжелая система ест больше аппаратных ресурсов, оно вам надо?


про саны.
www.sun.com

Оракл на сане это настоящий оракл


А Оракл на FreeBSD с эмулятором Linux это что тогда?


хехе - ежели вылезет бяка и надо будеть установить новый патч после чего Oracle не запустится на FreeBsd ибо метода обкатана для какой-то конкретной ситуации что прикажете делать админу ? Он побившись головой в стену поищет саппорта на Oracle и отгадайте - на 3 или на 5 букв его там отправят услышав про Oracle на FreeBSD Linux emulator ? Сойдемся на том что это на страх и риск админа ...
Аватара пользователя
Dimerson
 
Сообщения: 2739
Зарегистрирован: 15 сен 2002, 14:39
Откуда: Регион 70

Сообщение Рустам » 06 дек 2003, 08:40

Dimerson писал(а):
Рустам писал(а):И вообще, Что это за Сан?
Извиняюсь за незнание - для того и пришёл, чтобы узнать


Рустам. Самый дельный совет. Без гнутья пальцев и прочего. Если вам всетаки не играться а работать причем продуктивно - то однозначно 9.2.0.4 на одной из оффициально поддерживаемых платформ. Exp/Imp
из 8 -> 9 и будет на вашей улице праздник. Лично я даже 8.1.7.4 не рискну советовать в продуктивное использование. Так как плотно повозившись с 8.1.7.4 на Linux - отказался - странно все живет на новых ядрах ... та же jre 1.1.8 от IBM .... да и ограничение на размер файла данных 2 GB .... хотя это не есть страшно. Да - вопрос прямой - у вас металинк надеюсь есть ? [рекомендуется].



А что есть металинк?
И кто мне ответит в конце концов, как Оракул относится к многопроцессорному серверу???
Рустам
 
Сообщения: 20
Зарегистрирован: 19 дек 2002, 19:41
Откуда: Челябинск

Сообщение Рустам » 06 дек 2003, 09:02

Андрей Тр. aka RH писал(а):Удачное сравнение .. я бы даже сказал, как с презервативом - это ради процесса, а без - ради, собсно, результата.

ДА ПРОСТИТ НАС ВСЕХ АВТОР ЭТОЙ ВЕТКИ ! :wink:


А что же остаётся? Только простить.
Что такая сурьёзная тема затрагивает так много аспектов бытия- понимаешь!!!

Только вот давайте про Линух с БСД не будем. Лучше про Неварь.
Рустам
 
Сообщения: 20
Зарегистрирован: 19 дек 2002, 19:41
Откуда: Челябинск

Сообщение Dimerson » 06 дек 2003, 09:46

Рустам писал(а):
Dimerson писал(а):
Рустам писал(а):И вообще, Что это за Сан?
Извиняюсь за незнание - для того и пришёл, чтобы узнать


Рустам. Самый дельный совет. Без гнутья пальцев и прочего. Если вам всетаки не играться а работать причем продуктивно - то однозначно 9.2.0.4 на одной из оффициально поддерживаемых платформ. Exp/Imp
из 8 -> 9 и будет на вашей улице праздник. Лично я даже 8.1.7.4 не рискну советовать в продуктивное использование. Так как плотно повозившись с 8.1.7.4 на Linux - отказался - странно все живет на новых ядрах ... та же jre 1.1.8 от IBM .... да и ограничение на размер файла данных 2 GB .... хотя это не есть страшно. Да - вопрос прямой - у вас металинк надеюсь есть ? [рекомендуется].



А что есть металинк?
И кто мне ответит в конце концов, как Оракул относится к многопроцессорному серверу???


Из вопроса о том что есть металинк я делаю ывод что для вас Оракл дело довольно темное [шутка]. Это место где люди заплатившие за саппорт Ораклу могут его получить.

А в документации на Ora 8.1.6 NW я вижу параметры - которые определяют будет ли использоваться SMP или нет.

-----------------------

NW_RUN_MODE
Operating System
NetWare

Default
AUTO

Legal Values
AUTO, NETWARE



This parameter determines whether Oracle takes advantage of NetWare5 and NetWare 4.2 SMP. The default of AUTO uses NetWare 4.2 SMP if present. Setting this parameter to NETWARE forces Oracle not to use NetWare 4.2 SMP. Only NetWare services will be available in this mode (single CPU).
------------------------
NW_SERVICE_FAULTS
Operating System
NetWare 4.2 SMP

Default
FULL

Legal Values
FULL, PARTIAL, OFF



This parameter controls how Oracle handles memory faults on NetWare 4.2 SMP. The default of FULL indicates that Oracle tries to return an ORA-00602 error to the user when a memory fault occurs. PARTIAL indicates for Oracle to try to terminate the thread that faulted. OFF indicates for fault handling to be handled by NetWare 4.2 SMP. Note that there is still a chance that the server will abend if the memory fault occurs on NetWare.

This parameter is only read when ORACLE81 is loaded. If this value is set or changed, shut down Oracle. Then unload and reload the ORACLE81.NLM
-----------------------------------

А вы не изучили вопрос - какая загрузка CPU1 при интенсивной работе с Oracle ?
Аватара пользователя
Dimerson
 
Сообщения: 2739
Зарегистрирован: 15 сен 2002, 14:39
Откуда: Регион 70

Сообщение Рустам » 07 дек 2003, 18:56

Итак, господин Dimerson
Ты крут, спору нет

Ну, блин, не думал, что тема будет так развита.....

Так, по теме
Запросы, к Оракулу- перебор всей базы и расчёт значений из этой базы
Импорт дампов - тож запросы
Загрузка проца - на 70-80 процентов

Виссим.....!!!

Всё....
А * без преза лучше 8)
Рустам
 
Сообщения: 20
Зарегистрирован: 19 дек 2002, 19:41
Откуда: Челябинск

Пред.

Вернуться в Novell

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 2

cron